{
  num: -21016,
  accuracy: true,
  basePower: 180,
  category: "Physical",
  isNonstandard: "Past",
  name: "Crimson Fist Blitz",
  pp: 1,
  priority: 0,
  flags: { contact: 1, punch: 1 },
  isZ: "deltazeraoriumz",

  self: {
    onHit(source) {
      if (!source || source.fainted) return;
      source.setAbility("ironfist", source, this.effect, true);
      this.add("-ability", source, "Iron Fist", "[from] move: Crimson Fist Blitz");
    }
  },

  secondary: null,
  target: "normal",
  type: "Fire",
  contestType: "Cool"
}
